﻿namespace Dto;

public class LessonDto
{
    public int Id { get; }
    public string? Title { get; set; }
    public string? LastPublisher { get; set; }
    public DateOnly? LastEdit { get; set; }
    public ICollection<ContentLessonDto> Content { get; set; } = new List<ContentLessonDto>();

    public LessonDto()
    {
    }

    public LessonDto(int id, string title, string lastPublisher, DateOnly? lastEdit)
    {
        Id = id;
        Title = title;
        LastPublisher = lastPublisher;
        LastEdit = lastEdit;
    }

    public LessonDto(string title, string lastPublisher, DateOnly? lastEdit)
    {
        Title = title;
        LastPublisher = lastPublisher;
        LastEdit = lastEdit;
    }
}