﻿namespace Dto;

public class InquiryDto
{
    public int Id { get; }

    public string Title { get; set; }

    public string Description { get; set; }

    public bool IsUser { get; set; }

    public InquiryDto(){}
    public InquiryDto(int id, string title, string description, bool isUser)
    {
        Id = id;
        Title = title;
        Description = description;
        IsUser = isUser;
    }

    public InquiryDto(string title, string description, bool isUser)
    {
        Title = title;
        Description = description;
        IsUser = isUser;
    }
}